%% PRINTP : Function for printing P matrix
%

function printP(In,P,blanc);

[m,r]=size(P);

disp(' ');
disp(' IT    F1      F2');
for i=1:m,
    buff = sprintf(' %2.0f  ',In(i));
    for j=1:r,
       buf = sprintf(' %5.2f  ',P(i,j));
       buff = [buff  buf]; 
    end;
    disp(buff);    
end;
disp(' ');

disp(' ');
disp(' IT    F1      F2');
for i=1:m,
    buff = sprintf(' %2.0f  ',In(i));
    for j=1:r,
       buf = '        ';
       if abs(P(i,j))>blanc, 
          buf = sprintf(' %5.2f  ',P(i,j));
       end;
       buff = [buff  buf]; 
    end;
    disp(buff);    
end;
disp(' ');
